[
	{
		"redirect": "noredirect",
		"path": "/mall",
		"children": [
			{
				"path": "order",
				"meta": {
					"noCache": true,
					"icon": "order",
					"perms": [
						"operation:order:list",
						"operation:order:detail",
						"operation:order:ship"
					],
					"title": "订单管理"
				},
				"name": "order",
				"page": "/operation/order"
			},
			{
				"path": "appraise",
				"meta": {
					"noCache": true,
					"icon": "appraise",
					"perms": [
						"operation:appraise:delete",
						"operation:appraise:query"
					],
					"title": "评论管理"
				},
				"name": "appraise",
				"page": "/operation/appraise"
			},
			{
				"path": "freight",
				"meta": {
					"noCache": true,
					"icon": "freight",
					"perms": [
						"operation:freight:query",
						"operation:freight:update",
						"operation:freight:create"
					],
					"title": "运费模板管理"
				},
				"name": "freight",
				"page": "/operation/freight"
			}
		],
		"meta": {
			"icon": "chart",
			"title": "运营管理"
		},
		"name": "mallManage",
		"alwaysShow": true
	},
	{
		"redirect": "noredirect",
		"path": "/goods",
		"children": [
			{
				"path": "list",
				"meta": {
					"noCache": true,
					"icon": "goodsList",
					"perms": [
						"operation:goods:list",
						"operation:goods:create"
					],
					"title": "商品列表"
				},
				"name": "goodsList",
				"page": "/goods/list"
			},
			{
				"path": "groupshop",
				"meta": {
					"noCache": true,
					"icon": "groupshop",
					"perms": [
						"operation:groupShop:query",
						"operation:groupShop:create",
						"operation:groupShop:delete"
					],
					"title": "团购商品"
				},
				"name": "groupShop",
				"page": "/goods/groupshop"
			},
			{
				"path": "category",
				"meta": {
					"noCache": true,
					"icon": "goodsCategory",
					"perms": [
						"operation:category:create",
						"operation:category:query",
						"admin:category:update",
						"operation:category:delete"
					],
					"title": "商品类目"
				},
				"name": "goodsCategory",
				"page": "/goods/category"
			},
			{
				"path": "upsert",
				"hidden": true,
				"meta": {
					"noCache": true,
					"perms": [
						"operation:goods:create",
						"operation:goods:edit"
					],
					"title": "商品编辑"
				},
				"name": "goodsUpsert",
				"page": "/goods/upsert"
			}
		],
		"meta": {
			"icon": "shopping",
			"title": "商品管理"
		},
		"name": "goodsManage",
		"alwaysShow": true
	},
	{
		"redirect": "noredirect",
		"path": "/promotion",
		"children": [
			{
				"path": "merchantad",
				"meta": {
					"noCache": true,
					"icon": "merchantad",
					"perms": [
						"promote:advertisement:create",
						"promote:advertisement:delete",
						"promote:advertisement:update",
						"promote:advertisement:query"
					],
					"title": "商铺广告"
				},
				"name": "merchantad",
				"page": "/promotion/merchantad"
			},
			{
				"path": "recommend",
				"meta": {
					"noCache": true,
					"icon": "recommend",
					"perms": [
						"promote:recommend:create",
						"promote:recommend:delete",
						"promote:recommend:update",
						"promote:recommend:query"
					],
					"title": "推荐管理"
				},
				"name": "recommend",
				"page": "/promotion/recommend"
			},
			{
				"path": "coupon",
				"meta": {
					"noCache": true,
					"icon": "coupon",
					"perms": [
						"promote:coupon:create",
						"promote:coupon:delete",
						"promote:coupon:update",
						"promote:coupon:query"
					],
					"title": "优惠卷管理"
				},
				"name": "coupon",
				"page": "/promotion/coupon"
			},
			{
				"path": "merchant",
				"meta": {
					"noCache": true,
					"icon": "merchant",
					"perms": [
						"promote:merchant:create",
						"promote:merchant:update",
						"promote:merchant:query"
					],
					"title": "商铺信息"
				},
				"name": "merchant",
				"page": "/promotion/merchant"
			}
		],
		"meta": {
			"icon": "tree",
			"title": "推广管理"
		},
		"name": "promotionManage",
		"alwaysShow": true
	},
	{
		"redirect": "noredirect",
		"path": "/sys",
		"children": [
			{
				"path": "user",
				"meta": {
					"noCache": true,
					"icon": "user",
					"perms": [
						"system:user:query",
						"system:user:delete",
						"system:user:create",
						"system:user:update"
					],
					"title": "会员管理"
				},
				"name": "user",
				"page": "/user/user"
			},
			{
				"path": "admin",
				"meta": {
					"noCache": true,
					"icon": "admin",
					"perms": [
						"admin:admin:list",
						"admin:admin:create",
						"admin:admin:update",
						"admin:admin:delete"
					],
					"title": "管理员"
				},
				"name": "admin",
				"page": "/sys/admin"
			},
			{
				"path": "role",
				"meta": {
					"noCache": true,
					"icon": "role",
					"perms": [
						"admin:role:list",
						"admin:role:create",
						"admin:role:delete",
						"admin:role:update",
						"admin:role:permissionList",
						"admin:permission:list"
					],
					"title": "角色管理"
				},
				"name": "role",
				"page": "/sys/role"
			},
			{
				"path": "dictType",
				"meta": {
					"noCache": true,
					"icon": "dict",
					"perms": [
						"admin:dict:list",
						"admin:dict:create",
						"admin:dict:delete",
						"admin:dict:update",
						"admin:dict:permissionList",
						"admin:permission:list"
					],
					"title": "字典管理"
				},
				"name": "dict",
				"page": "/sys/dict/dictType"
			},
			{
				"path": "dictData/:dictId(\\d+)",
				"hidden": true,
				"meta": {
					"noCache": true,
					"perms": [
						"operation:goods:create",
						"operation:goods:edit"
					],
					"title": "字典数据"
				},
				"name": "dictData",
				"page": "/sys/dict/dictData"
			}
		],
		"meta": {
			"icon": "sys",
			"title": "系统管理"
		},
		"name": "sysManage",
		"alwaysShow": true
	},
	{
		"redirect": "noredirect",
		"name": "sysTools",
		"path": "/tools",
		"meta": {
			"icon": "tools",
			"title": "系统工具"
		},
		"alwaysShow": true,
		"children": [
			{
				"path": "job",
				"name": "job",
				"page": "/tools/job",
				"meta": {
					"title": "定时任务",
					"icon": "job",
					"noCache": true,
					"perms": [
						"tools:job:list"
					]
				}
			},
			{
				"path": "api",
				"name": "api",
				"page": "/tools/api/api",
				"meta": {
					"title": "API文档",
					"icon": "api",
					"noCache": true,
					"perms": [
						"tools:api:list"
					]
				}
			},
			{
				"path": "gen",
				"name": "gen",
				"page": "/tools/gen",
				"meta": {
					"title": "代码生成",
					"icon": "gen",
					"noCache": true,
					"perms": [
						"tools:gen:list",
						"tools:gen:create",
						"tools:gen:delete",
						"tools:gen:update"
					]
				}
			},
			{
				"path": "gen/edit/:tableId(\\d+)",
				"hidden": true,
				"meta": {
					"noCache": true,
					"perms": [],
					"title": "配置项修改"
				},
				"name": "genEdit",
				"page": "/tools/gen/editTable"
			}
			
		]
	},{
		"redirect": "noredirect",
		"name": "sysMonitor",
		"path": "/monitor",
		"meta": {
			"icon": "monitor",
			"title": "系统监控"
		},
		"alwaysShow": true,
		"children": [
			{
				"path": "online",
				"name": "online",
				"page": "/monitor/online",
				"meta": {
					"icon": "online",
					"title": "在线用户",
					"noCache": true,
					"perms": [
						"monitor:online:list",
						"monitor:online:create",
						"monitor:online:delete",
						"monitor:online:update"
					]
				}
			},
			{
				"path": "druid",
				"name": "druid",
				"page": "/monitor/druid",
				"meta": {
					"title": "数据监控",
					"icon": "druid",
					"noCache": true,
					"perms": [
						"monitor:druid:list"
						
					]
				}
			},
			{
				"path": "server",
				"name": "server",
				"page": "/monitor/server",
				"meta": {
					"title": "硬件信息",
					"icon": "server",
					"noCache": true,
					"perms": [
						"monitor:server:list"
					]
				}
			}
		]
	},{
		"redirect": "noredirect",
		"name": "sysLog",
		"path": "/log",
		"meta": {
			"icon": "log",
			"title": "日志管理"
		},
		"alwaysShow": true,
		"children": [
			{
				"path": "operlog",
				"name": "operlog",
				"page": "/log/operlog",
				"meta": {
					"title": "操作日志",
					"icon": "operlog",
					"noCache": true,
					"perms": [
						"log:operlog:list"
					]
				}
			},
			{
				"path": "logininfor",
				"name": "logininfor",
				"page": "/log/logininfor",
				"meta": {
					"title": "登陆日志",
					"icon": "logininfor",
					"noCache": true,
					"perms": [
						"log:logininfor:list",
						"log:logininfor:create",
						"log:logininfor:delete",
						"log:logininfor:update"
					]
				}
			}
		]
	},
	{
		"redirect": "noredirect",
		"path": "/profile",
		"hidden": true,
		"children": [
			{
				"path": "password",
				"meta": {
					"noCache": true,
					"title": "修改密码"
				},
				"name": "password",
				"page": "/profile/password"
			}
		],
		"alwaysShow": true
	},
	{
		"redirect": "/404",
		"path": "*",
		"hidden": true
	}
]